package com.mortals.xhx.module.gocome.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.gocome.model.vo.GocomeRecordVo;
import lombok.Data;
/**
* 来往记录实体对象
*
* @author zxfei
* @date 2023-05-22
*/
@Data
public class GocomeRecordEntity extends GocomeRecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 用户名称
    */
    private String userName;
    /**
    * 电话
    */
    private String phone;
    /**
    * 所属部门
    */
    private String deptName;
    /**
    * 所属房间ID
    */
    private Long roomId;
    /**
    * 所属房间名称
    */
    private String roomName;
    /**
    * 修改前状态
    */
    private String beforeStatus;
    /**
    * 修改后状态
    */
    private String afterStatus;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof GocomeRecordEntity) {
            GocomeRecordEntity tmp = (GocomeRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.userName = "";

            this.phone = "";

            this.deptName = "";

            this.roomId = -1L;

            this.roomName = "";

            this.beforeStatus = "";

            this.afterStatus = "";

            this.remark = "";
    }
}